Name: wrt-setting
Version: 0.0.53
Release: 1
Summary: WRT Setting UI Gadgets
Group:   Development/Libraries
License: Flora Software License
Source0: %{name}-%{version}.tar.gz

BuildRequires: gettext
BuildRequires: cmake
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(dpl-efl)
BuildRequires: pkgconfig(efl-assist)
BuildRequires: pkgconfig(capi-appfw-application)

%description
WRT Setting UI Gadgets

%prep
%setup -q

%build
%if 0%{?tizen_build_binary_release_type_eng}
export CFLAGS="$CFLAGS -DTIZEN_ENGINEER_MODE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_ENGINEER_MODE"
export FFLAGS="$FFLAGS -DTIZEN_ENGINEER_MODE"
%endif

export LDFLAGS+="-Wl,--rpath=/usr/lib"
%cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DUG_INSTALL_PREFIX=/usr -DPROJECT_API_VERSION=0 -DPROJECT_VERSION=%{version}

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/license
cp LICENSE.Flora %{buildroot}/usr/share/license/%{name}
%make_install


%clean
rm -rf %{buildroot}

%files
%manifest wrt-setting.manifest
/etc/smack/accesses2.d/ug.webapp-detail-efl.include
%defattr(-,root,root,-)
%{_datadir}/license/%{name}
/usr/ug/lib/*
/usr/ug/res/*
